Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class MailPreferences

    java.lang.Object
      portlets.compoze.groupware.pref.AbstractPreferences
          portlets.compoze.groupware.pref.MailPreferences

All Implemented Interfaces:
  java.io.Serializable

public class MailPreferences
extends AbstractPreferences
implements java.io.Serializable

This class represents the user configurables settings for the 'Mail' feature. For changes to be committed, the `update` method must be called.

See Also:
  `FeatureGroup.Feature.MAIL`, Serialized Form

Nested Class Summary
`static class` | `MailPreferences.MessageOrdering` This class represents the message ordering.
`static class` | `MailPreferences.Replying` This class represents handling of original message when replying.
`static class` | `MailPreferences.Signature` This class represents a message signature.
`static class` | `MailPreferences.UnreadStyle` This class represents the unread message display style.
`static class` | `MailPreferences.Warnings` This class represents warnings for users when sending messages.

Field Summary
`static int` | `DEFAULT_NUMBER_OF_MESSAGES_PER_PAGE`

Constructor Summary
`MailPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper, java.lang.String sInstanceLabel)` Constructor.

Method Summary
`boolean` | `getEmailCommaSeparator()` Gets the comma separator flag.
`static java.lang.String` | `getMessageDateString(java.util.Date messageDate, java.util.TimeZone timeZone, java.util.Locale locale)` Gets the localized message date string.
`MailPreferences.MessageOrdering` | `getMessageOrdering()` Gets the messaging order.
`int` | `getNumberOfMessagesPerPage()` Gets the number of messages per page.
`MailPreferences.Replying` | `getReplying()` Gets the replying rule.
`boolean` | `getSaveInSent()` Gets the save in sent flag.
`boolean` | `getShowFolderNavigationTree()` Gets the show folder navigation tree flag.
`MailPreferences.Signature` | `getSignature()` Gets the signature.
`MailPreferences.UnreadStyle` | `getUnreadStyle()` Gets the unread style.
`MailPreferences.Warnings` | `getWarnings()` Gets the warnings rule.
`void` | `setEmailCommaSeparator(boolean bFlag)` Sets the comma separator flag.
`void` | `setMessageOrdering(MailPreferences.MessageOrdering msg)` Sets the messaging order.
`void` | `setNumberOfMessagesPerPage(int iNum)` Sets the number of messages per page.
`void` | `setReplying(MailPreferences.Replying replyRule)` Sets the replying rule.
`void` | `setSaveInSent(boolean bFlag)` Sets the save in sent flag.
`void` | `setShowFolderNavigationTree(boolean bFlag)` Sets the show folder navigation tree flag.
`void` | `setSignature(MailPreferences.Signature sig)` Sets the signature.
`void` | `setUnreadStyle(MailPreferences.UnreadStyle unreadStyle)` Sets the unread style.
`void` | `setWarnings(MailPreferences.Warnings warn)` Sets the warnings rule.

Methods inherited from class portlets.compoze.groupware.pref.AbstractPreferences
`getInstanceLabel, getPreference, setPreference, setPreference, setPreference, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_NUMBER_OF_MESSAGES_PER_PAGE

    public static final int DEFAULT_NUMBER_OF_MESSAGES_PER_PAGE

See Also:
  Constant Field Values

Constructor Detail

### MailPreferences

    public MailPreferences(com.bea.p13n.usermgmt.profile.ProfileWrapper userProfileWrapper,
                           java.lang.String sInstanceLabel)
                    throws GroupwareException

  Constructor.

Parameters:
  `userProfileWrapper` - the user profile (may not be `null`)

Method Detail

### getNumberOfMessagesPerPage

    public int getNumberOfMessagesPerPage()

  Gets the number of messages per page.

  Returns:
    the number of messages per page

### getMessageDateString

    public static java.lang.String getMessageDateString(java.util.Date messageDate,
                                                        java.util.TimeZone timeZone,
                                                        java.util.Locale locale)

  Gets the localized message date string.

  Parameters:
    `messageDate` - the message date
    `timeZone` - the time zone
    `locale` - the locale
  Returns:
    the localized message date string or an empty string

### setNumberOfMessagesPerPage

    public void setNumberOfMessagesPerPage(int iNum)

  Sets the number of messages per page.

  Parameters:
    `iNum` - the number of messages per page (must be > 0)

### getUnreadStyle

    public MailPreferences.UnreadStyle getUnreadStyle()

  Gets the unread style.

  Returns:
    the unread style

### setUnreadStyle

    public void setUnreadStyle(MailPreferences.UnreadStyle unreadStyle)

  Sets the unread style.

  Parameters:
    `unreadStyle` - the unread style (may not be `null`)

### getSaveInSent

    public boolean getSaveInSent()

  Gets the save in sent flag.

  Returns:
    `true` to save in sent; `false` otherwise

### setSaveInSent

    public void setSaveInSent(boolean bFlag)

  Sets the save in sent flag.

  Parameters:
    `bFlag` - `true` to save in sent; `false` otherwise

### getEmailCommaSeparator

    public boolean getEmailCommaSeparator()

  Gets the comma separator flag.

  Returns:
    `true` to set comma as email separator; `false` otherwise

### setEmailCommaSeparator

    public void setEmailCommaSeparator(boolean bFlag)

  Sets the comma separator flag.

  Parameters:
    `bFlag` - `true` to set comma as email separator; `false` otherwise

### getShowFolderNavigationTree

    public boolean getShowFolderNavigationTree()

  Gets the show folder navigation tree flag.

  Returns:
    `true` to show folder navigation tree; `false` otherwise

### setShowFolderNavigationTree

    public void setShowFolderNavigationTree(boolean bFlag)

  Sets the show folder navigation tree flag.

  Parameters:
    `bFlag` - `true` to show folder navigation tree; `false` otherwise

### getSignature

    public MailPreferences.Signature getSignature()

  Gets the signature.

  Returns:
    the signature

### setSignature

    public void setSignature(MailPreferences.Signature sig)

  Sets the signature.

  Parameters:
    `sig` - the signature (may not be `null`)

### getReplying

    public MailPreferences.Replying getReplying()

  Gets the replying rule.

  Returns:
    the replying rule

### setReplying

    public void setReplying(MailPreferences.Replying replyRule)

  Sets the replying rule.

  Parameters:
    `replyRule` - the reply rule (may not be `null`)

### getWarnings

    public MailPreferences.Warnings getWarnings()

  Gets the warnings rule.

  Returns:
    the warnings rule

### setWarnings

    public void setWarnings(MailPreferences.Warnings warn)

  Sets the warnings rule.

  Parameters:
    `warn` - the warnings rule (may not be `null`)

### getMessageOrdering

    public MailPreferences.MessageOrdering getMessageOrdering()

  Gets the messaging order.

  Returns:
    the messaging order

### setMessageOrdering

    public void setMessageOrdering(MailPreferences.MessageOrdering msg)

  Sets the messaging order.

  Parameters:
    `msg` - the messaging order (may not be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.